This is a Laravel 5 package that provides entrust management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `service1/entrust`.

    "service1/entrust": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Service1\Entrust\Providers\EntrustServiceProvider::class,

```

And also add it to alias

```php
'Entrust'  => Service1\Entrust\Facades\Entrust::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Service1\Entrust\Providers\EntrustServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Service1\Entrust\Providers\EntrustServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Service1\Entrust\Providers\EntrustServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Service1\Entrust\Providers\EntrustServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Service1\Entrust\Providers\EntrustServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Service1\Entrust\Providers\EntrustServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


